### A free/open-source library for quantitative finance

DefaultDensityStructure Class Reference

Default-density term structure. More...

`#include <ql/termstructures/credit/defaultdensitystructure.hpp>`

Inheritance diagram for DefaultDensityStructure:
[legend]

List of all members.

## Public Member Functions

Constructors
See the TermStructure documentation for issues regarding constructors.
| DefaultDensityStructure (const DayCounter &dayCounter=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| DefaultDensityStructure (const Date &referenceDate, const Calendar &cal=Calendar(), const DayCounter &dayCounter=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())
| DefaultDensityStructure (Natural settlementDays, const Calendar &cal, const DayCounter &dayCounter=DayCounter(), const std::vector< Handle< Quote > > &jumps=std::vector< Handle< Quote > >(), const std::vector< Date > &jumpDates=std::vector< Date >())

## Protected Member Functions

DefaultProbabilityTermStructure implementation
Probability | survivalProbabilityImpl (Time) const
| survival probability calculation

## Detailed Description

Default-density term structure.

This abstract class acts as an adapter to DefaultProbabilityTermStructure allowing the programmer to implement only the `defaultDensityImpl(Time)` method in derived classes.

Survival/default probabilities and hazard rates are calculated from default densities.

## Member Function Documentation

Probability survivalProbabilityImpl | ( | Time |  | ) | const`[protected, virtual]`

survival probability calculation

implemented in terms of the default density as

Warning:
  This default implementation uses numerical integration, which might be inefficient and inaccurate. Derived classes should override it if a more efficient implementation is available.

Implements DefaultProbabilityTermStructure.

Reimplemented in InterpolatedDefaultDensityCurve< Interpolator >.